-- Require physics

local physics = require "physics"

physics.start()
-- Create objects

local beam = display.newRect(display.contentCenterX + 30, display.contentCenterY, 10, 150)
local zombie = display.newRect( display.contentCenterX , display.contentCenterY - 200, 30, 90 )
local hero = display.newRect( display.contentCenterX, display.contentCenterY, 40, 120 )

physics.addBody( beam , "static" )
physics.addBody( hero , "static" )
physics.addBody( zombie , "dynamic" )

-- Functions

local function zombieCollision(self, event)
  print( "zombieCollision event.other == ", event.other, event.time )
  print( "zombieCollision hero == ", hero, event.time )
  print( "zombieCollision beam == ", beam, event.time )
  print( "zombieCollision hero.isColliding == ", hero.isColliding, event.time )
  print( "zombieCollision other =? hero ", event.other == hero, event.time )
  print( "zombieCollision other =? beam ", event.other == beam, event.time )
  print ( "----------------\n")
  if event.other == hero then
    if event.phase == "began" then
      print("\nhero is colliding with zombie.\n")
    elseif event.phase == "ended" then
      print("\nhero is not colliding with zombie anymore.\n")
    end
  elseif event.other == beam then
    print("\nzombie colliding with beam.\n")
  end
end

-- Listeners
zombie.collision = zombieCollision
zombie:addEventListener("collision", zombie)
